# &applet; Applet Manual V&manrevision;

2003
Sun Microsystems
2001
John Fleck
GNOME Documentation Project

&legal;

Sun
GNOME Documentation Team
Sun Microsystems

     gdocteam@sun.com

John
Fleck
GNOME Documentation Project

     jfleck@inkstain.net

&applet; Applet Manual V&manrevision;
&date;

Sun GNOME Documentation Team gdocteam@sun.com

GNOME Documentation Project

Window List Applet Manual V2.2
August 2002

Sun GNOME Documentation Team gdocteam@sun.com

GNOME Documentation Project

Window List Applet Manual V2.1
July 2002

Sun GNOME Documentation Team gdocteam@sun.com

GNOME Documentation Project

Window List Applet Manual V2.0
March 2002

Sun GNOME Documentation Team gdocteam@sun.com

GNOME Documentation Project

Tasklist Applet Manual
2001

John Fleck jfleck@inkstain.net

GNOME Documentation Project

This manual describes version &appletversion; of &applet;.

## Feedback

To report a bug or make a suggestion regarding the &applet; applet or this manual, follow the directions in the GNOME Feedback Page.

## Introduction

### &applet; Applet

Shows Window List applet.

The &applet; applet enables you to manage the windows that are open on the GNOME desktop. &applet; uses a button to represent each window or group of windows that is open. The state of the buttons in the applet varies depending on the state of the window that the button represents. The following table explains the possible states of the &applet; buttons:

State | Indicates... | Example in
--- | --- | ---
Button is pressed in. | The window has focus. | gedit
Square brackets around window title, button contents faded. | The window is minimized. | Dictionary
Button is not pressed in, no square brackets around title. | The window is displayed on the desktop and is not minimized. | ghex
Dotted triangular shape in upper right corner of button and a number in parentheses. | The button represents a group of buttons. | Gnome-terminal

To add &applet; to a panel, right-click on the panel, then choose Add to Panel Utility Window List . The number of rows that &applet; uses to display the buttons depends on the size of the panel in which the applet resides.

### Grouping Buttons

If the space on a panel is limited, &applet; can group the buttons that represent windows of the same class under one &applet; button. To open a list of the buttons in a button group, click on the &applet; button that represents the button group. The Gnome-terminal button in is an example of a button that represents a group of buttons. The following figure shows an example of the &applet; applet with a button group open.

#### &applet; Applet with a Button Group Open

Shows Window List applet with a button group open.

## Usage

You can use &applet; to perform the following tasks:

- To give focus to a window

  If you click on the &applet; button that represents a window that is displayed on the desktop but does not have focus, the applet gives focus to the window.

- To minimize to a window

  If you click on the &applet; button that represents the window that has focus, the applet minimizes the window.

- To restore a minimized window

  If you click on the &applet; button that represents a minimized window, the applet restores the window.

## Preferences

To configure &applet;, right-click on the applet, then choose Preferences.

Window List content

  To specify which windows to display in &applet;, select one of the following options:

  - Show windows from current workspace

    Select this option to only show the windows that are open in the current workspace.

  - Show windows from all workspaces

    Select this option to show the windows that are open in all workspaces.

  Default: Show windows from current workspace.

When restoring minimized windows

  To define how &applet; behaves when you restore windows, select one of the following options:

  - Restore to current workspace

    Select this option to restore a window from the applet to the current workspace, even if the window did not previously reside in the current workspace.

  - Restore to native workspace

    Select this option to switch to the native workspace in which a window resides when you restore the window from the applet.

  Default: Restore to current workspace.

Window grouping

  To specify when &applet; groups windows of the same class, select one of the following options:

  - Never group windows

    Select this option to never group windows of the same class under one &applet; button.

  - Group windows when space is limited

    Select this option to group windows of the same class under one &applet; button when the space on the panel is restricted.

  - Always group windows

    Select this option to always group windows of the same class under one &applet; button.

  Default: Group windows when space is limited.

Window List size

  The size of the &applet; applet varies depending on the size of the panel in which the applet resides. Use the following spin boxes to set limitations on the size of the applet:

  - Minimum size

    Specify the minimum size of the applet. If the panel is smaller than the minimum size specified, the panel adjusts in size to fit the applet.

    Default: 50 pixels.

  - Maximum size

    Specify the maximum size of the applet.

    Default: 4096 pixels.